## java-package 0.14

=== Makefile ===
DESTDIR=

.PHONY: default
default:

.PHONY: build
build:

.PHONY: clean
clean:

.PHONY: install
install:
	install -d -m 755 $(DESTDIR)/usr/bin
	install -m 755 make-jpkg $(DESTDIR)/usr/bin/
	install -d -m 755 $(DESTDIR)/usr/share/man/man1
	install -m 644 make-jpkg.1 $(DESTDIR)/usr/share/man/man1/
	install -d -m 755 $(DESTDIR)/usr/share/java-package
	for file in lib/*.sh; do \
	    install -m 644 $$file $(DESTDIR)/usr/share/java-package/ ; \
	done

.PHONY: install-peer
install-peer:
	install -d -m 0755 $(DESTDIR)$(J2SE_BASE)/debian
	install -m 0755 $(J2SE_PACKAGE)/install $(DESTDIR)$(J2SE_BASE)/debian/
	install -m 0755 $(J2SE_PACKAGE)/remove $(DESTDIR)$(J2SE_BASE)/debian/
	install -d -m 0755 $(DESTDIR)/usr/share/doc/$(J2SE_PACKAGE)debian
	install -m 0644 $(J2SE_PACKAGE)/README $(DESTDIR)/usr/share/doc/$(J2SE_PACKAGE)debian/

=== debian/changelog ===
java-package (0.14) unstable; urgency=low

  * debian/control: Commented out the lines that generate the Debian-specific
    packages, thus making alternatives available.
    - Also made all of the generated packages depend on their Debian-specific
    counterparts by default.  (Closes: #266671)

 -- Carlos Laviola <claviola@debian.org>  Mon, 13 Sep 2004 03:38:31 -0300

java-package (0.13) unstable; urgency=low

  * References to j2se-package are gone.  (Closes: #267642)
  * Added support for Blackdown Java 1.4.2 RC1 JRE/SDK.  (Closes: #267643)

 -- Carlos Laviola <claviola@debian.org>  Mon, 13 Sep 2004 03:17:54 -0300

java-package (0.12) unstable; urgency=low

  * remove to contrib because this package depend on non-free J2SE.

 -- Takashi Okamoto <tora@debian.org>  Tue,  3 Aug 2004 00:37:13 +0900

java-package (0.11) unstable; urgency=low

  * change package name java-package and the command build package is 
    make-jpkg.

 -- Takashi Okamoto <tora@debian.org>  Sat, 31 Jul 2004 15:07:36 +0900

java-package (0.10) unstable; urgency=low

  * change package name mpkg-j2se.
  * not use *-j2[re|sdk]debian package. Instead of this, add package 
    dependency to generated package. This reduce the installation for 
    such extra package. 
  * SUN's jdk1.5 beta2 support.

 -- Takashi Okamoto <tora@debian.org>  Sun, 18 Jul 2004 13:53:36 +0900

java-package (0.9) unstable; urgency=low

  * more generic support for j2re1.3.1/j2sdk1.3.1 from SUN.

  * add alternative for jarsigner (in j2sdk1.4 and j2sdk1.5 from SUN).

 -- Hubert Schmid <ude2@z42.de>  Sun, 23 May 2004 23:35:14 +0200

java-package (0.8) unstable; urgency=low

  * java plugin: support for mozilla-firefox.

 -- Hubert Schmid <ude2@z42.de>  Tue,  4 May 2004 22:39:39 +0200

java-package (0.7) unstable; urgency=low

  * Optionally create .changes file.

  * Add command line options: --help, --version, --full-name,
    --email, --changes.

  * Add environment variables: J2SE_PACKAGE_FULL_NAME,
    J2SE_PACKAGE_EMAIL.

 -- Hubert Schmid <ude2@z42.de>  Sat, 27 Mar 2004 23:01:08 +0100

java-package (0.6) unstable; urgency=low

  * More generic support for Java2 1.4.2 from SUN.

 -- Hubert Schmid <ude2@z42.de>  Thu, 11 Mar 2004 20:39:51 +0100

java-package (0.5) unstable; urgency=low

  * NEW: build Blackdown J2RE 1.4.1 (gcc-2.95) and J2SDK 1.4.1 (gcc-2.95).

  * NEW: support for SUN J2RE 1.5.0 beta, SUN J2SDK 1.5.0 beta.

 -- Hubert Schmid <ude2@z42.de>  Sat,  7 Feb 2004 21:57:09 +0100

java-package (0.4) unstable; urgency=low

  * Added support for: SUN J2RE 1.4.2_03, SUN J2SDK 1.4.2_03

 -- Hubert Schmid <ude2@z42.de>  Thu, 15 Jan 2004 22:27:52 +0100

java-package (0.3) unstable; urgency=low

  * Added support for: Blackdown J2RE 1.3, 1.4, J2SDK 1.3, 1.4

  * Removed usage of "du --apparent-size". This should fix a problem
    with old fileutils.

 -- Hubert Schmid <ude2@z42.de>  Sun,  9 Nov 2003 21:13:38 +0100

java-package (0.2) unstable; urgency=low

  * Added support for: Sun J2RE 1.3, Sun J2SDK 1.3, Sun J2SDK 1.4

  * Moved peer packages into this source package.

 -- Hubert Schmid <ude2@z42.de>  Thu, 30 Oct 2003 00:10:01 +0100

java-package (0.1) unstable; urgency=low

  * Initial Release.

 -- Hubert Schmid <j2se-package@z42.de>  Sun, 26 Oct 2003 20:06:57 +0100

Local variables:
mode: debian-changelog
End:

=== debian/control ===
Source: java-package
Section: contrib/misc
Priority: optional
Maintainer: Debian Java Maintainers <pkg-java-maintainers@lists.alioth.debian.org>
Uploaders: Takashi Okamoto <tora@debian.org>
Build-Depends: debhelper (>= 4.0.0)
Standards-Version: 3.6.0

Package: java-package
Architecture: all
Depends: debhelper
Suggests: fakeroot
Description: A utility for building Java(TM) 2 related Debian packages
 This package provides the capability to create a debian package from
 a Java(TM) 2 distribution by just running make-jpkg <filename>.
 .
 This program works currently with the latest Java(TM) 2 REs and SDKs
 (1.3, 1.4 and 1.5) Standard Edition, from Sun Microsystems(TM) and
 Blackdown Java-Linux.

Package: sun-j2re1.3debian
Architecture: all
Depends: java-common, sun-j2re1.3
Suggests: java-package
Provides: j2re1.3, java-virtual-machine, java-runtime, java2-runtime, java-browser-plugin
Description: Debian specific parts of Java(TM) 2 RE, Standard Edition
 This package contains Debian specific extras that are not part of the
 upstream distribution. The upstream part of Java(TM) 2 RE is in a
 separate package, that should be created with java-package. Read the
 java-package documentation for further information.

Package: sun-j2sdk1.3debian
Architecture: all
Depends: java-common, sun-j2sdk1.3
Suggests: java-package
Provides: j2sdk1.3, java-virtual-machine, java-compiler, java2-compiler, java-runtime, java2-runtime, java-browser-plugin
Description: Debian specific parts of Java(TM) 2 SDK, Standard Edition
 This package contains Debian specific extras that are not part of the
 upstream distribution. The upstream part of Java(TM) 2 SDK is in a
 separate package, that should be created with java-package. Read the
 java-package documentation for further information.

Package: sun-j2re1.4debian
Architecture: all
Depends: java-common, sun-j2re1.4
Suggests: java-package
Provides: j2re1.4, java-virtual-machine, java-runtime, java2-runtime, java-browser-plugin
Description: Debian specific parts of Java(TM) 2 RE, Standard Edition
 This package contains Debian specific extras that are not part of the
 upstream distribution. The upstream part of Java(TM) 2 RE is in a
 separate package, that should be created with java-package. Read the
 java-package documentation for further information.

Package: sun-j2sdk1.4debian
Architecture: all
Depends: java-common, sun-j2sdk1.4
Suggests: java-package
Provides: j2sdk1.4, java-virtual-machine, java-compiler, java2-compiler, java-runtime, java2-runtime, java-browser-plugin
Description: Debian specific parts of Java(TM) 2 SDK, Standard Edition
 This package contains Debian specific extras that are not part of the
 upstream distribution. The upstream part of Java(TM) 2 SDK is in a
 separate package, that should be created with java-package. Read the
 java-package documentation for further information.

Package: sun-j2re1.5debian
Architecture: all
Depends: java-common, sun-j2re1.5
Suggests: java-package
Provides: j2re1.5, java-virtual-machine, java-runtime, java2-runtime, java-browser-plugin
Description: Debian specific parts of Java(TM) 2 RE, Standard Edition
 This package contains Debian specific extras that are not part of the
 upstream distribution. The upstream part of Java(TM) 2 RE is in a
 separate package, that should be created with java-package. Read the
 java-package documentation for further information.

Package: sun-j2sdk1.5debian
Architecture: all
Depends: java-common, sun-j2sdk1.5
Suggests: java-package
Provides: j2sdk1.5, java-virtual-machine, java-compiler, java2-compiler, java-runtime, java2-runtime, java-browser-plugin
Description: Debian specific parts of Java(TM) 2 SDK, Standard Edition
 This package contains Debian specific extras that are not part of the
 upstream distribution. The upstream part of Java(TM) 2 SDK is in a
 separate package, that should be created with java-package. Read the
 java-package documentation for further information.

Package: blackdown-j2re1.3debian
Architecture: all
Depends: java-common, blackdown-j2re1.3
Suggests: java-package
Provides: j2re1.3, java-virtual-machine, java-runtime, java2-runtime, java-browser-plugin
Description: Debian specific parts of Java(TM) 2 RE, Standard Edition
 This package contains Debian specific extras that are not part of the
 upstream distribution. The upstream part of Java(TM) 2 RE is in a
 separate package, that should be created with java-package. Read the
 java-package documentation for further information.

Package: blackdown-j2sdk1.3debian
Architecture: all
Depends: java-common, blackdown-j2sdk1.3
Suggests: java-package
Provides: j2sdk1.3, java-virtual-machine, java-compiler, java2-compiler, java-runtime, java2-runtime, java-browser-plugin
Description: Debian specific parts of Java(TM) 2 SDK, Standard Edition
 This package contains Debian specific extras that are not part of the
 upstream distribution. The upstream part of Java(TM) 2 SDK is in a
 separate package, that should be created with java-package. Read the
 java-package documentation for further information.

Package: blackdown-j2re1.4debian
Architecture: all
Depends: java-common, blackdown-j2re1.4
Suggests: java-package
Provides: j2re1.4, java-virtual-machine, java-runtime, java2-runtime, java-browser-plugin
Description: Debian specific parts of Java(TM) 2 RE, Standard Edition
 This package contains Debian specific extras that are not part of the
 upstream distribution. The upstream part of Java(TM) 2 RE is in a
 separate package, that should be created with java-package. Read the
 java-package documentation for further information.

Package: blackdown-j2sdk1.4debian
Architecture: all
Depends: java-common, blackdown-j2sdk1.4
Suggests: java-package
Provides: j2sdk1.4, java-virtual-machine, java-compiler, java2-compiler, java-runtime, java2-runtime, java-browser-plugin
Description: Debian specific parts of Java(TM) 2 SDK, Standard Edition
 This package contains Debian specific extras that are not part of the
 upstream distribution. The upstream part of Java(TM) 2 SDK is in a
 separate package, that should be created with java-package. Read the
 java-package documentation for further information.

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Sample debian/rules that uses debhelper.
# GNU copyright 1997 to 1999 by Joey Hess.
#
# Modified to make a template file for a multi-binary package with separated
# build-arch and build-indep targets  by Bill Allombert 2001

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

# This has to be exported to make some magic below work.
export DH_OPTIONS



CFLAGS = -Wall -g

ifneq (,$(findstring noopt,$(DEB_BUILD_OPTIONS)))
	CFLAGS += -O0
else
	CFLAGS += -O2
endif
ifeq (,$(findstring nostrip,$(DEB_BUILD_OPTIONS)))
	INSTALL_PROGRAM += -s
endif

configure: configure-stamp
configure-stamp:
	dh_testdir
	# Add here commands to configure the package.
	./debian/peer sun-j2re1.3 /usr/share/j2re1.3-sun
	./debian/peer sun-j2sdk1.3 /usr/share/j2sdk1.3-sun
	./debian/peer sun-j2re1.4 /usr/share/j2re1.4-sun
	./debian/peer sun-j2sdk1.4 /usr/share/j2sdk1.4-sun
	./debian/peer sun-j2re1.5 /usr/share/j2re1.5-sun
	./debian/peer sun-j2sdk1.5 /usr/share/j2sdk1.5-sun
	./debian/peer blackdown-j2re1.3 /usr/share/j2re1.3-blackdown
	./debian/peer blackdown-j2sdk1.3 /usr/share/j2sdk1.3-blackdown
	./debian/peer blackdown-j2re1.4 /usr/share/j2re1.4-blackdown
	./debian/peer blackdown-j2sdk1.4 /usr/share/j2sdk1.4-blackdown

	touch configure-stamp


build: build-indep

build-indep: build-indep-stamp
build-indep-stamp: configure-stamp 

	# Add here commands to compile the indep part of the package.
	$(MAKE)
	touch build-indep-stamp

clean:
	dh_testdir
	dh_testroot
	rm -f build-indep-stamp configure-stamp
	rm -f debian/sun-j2re1.3debian.postinst debian/sun-j2re1.3debian.prerm 
	rm -f debian/sun-j2sdk1.3debian.postinst debian/sun-j2sdk1.3debian.prerm 
	rm -f debian/sun-j2re1.4debian.postinst debian/sun-j2re1.4debian.prerm 
	rm -f debian/sun-j2sdk1.4debian.postinst debian/sun-j2sdk1.4debian.prerm 
	rm -f debian/sun-j2re1.5debian.postinst debian/sun-j2re1.5debian.prerm 
	rm -f debian/sun-j2sdk1.5debian.postinst debian/sun-j2sdk1.5debian.prerm 
	rm -f debian/blackdown-j2re1.3debian.postinst debian/blackdown-j2re1.3debian.prerm 
	rm -f debian/blackdown-j2sdk1.3debian.postinst debian/blackdown-j2sdk1.3debian.prerm 
	rm -f debian/blackdown-j2re1.4debian.postinst debian/blackdown-j2re1.4debian.prerm 
	rm -f debian/blackdown-j2sdk1.4debian.postinst debian/blackdown-j2sdk1.4debian.prerm 

	# Add here commands to clean up after the build process.
	-$(MAKE) clean

	dh_clean 

install: install-indep
install-indep:
	dh_testdir
	dh_testroot
	dh_clean -k -i 
	dh_installdirs -i

	$(MAKE) install DESTDIR=$(CURDIR)/debian/java-package
	$(MAKE) install-peer DESTDIR=$(CURDIR)/debian/sun-j2re1.3debian \
		J2SE_PACKAGE=sun-j2re1.3 J2SE_BASE=/usr/share/j2re1.3-sun
	$(MAKE) install-peer DESTDIR=$(CURDIR)/debian/sun-j2sdk1.3debian \
		J2SE_PACKAGE=sun-j2sdk1.3 J2SE_BASE=/usr/share/j2sdk1.3-sun
	$(MAKE) install-peer DESTDIR=$(CURDIR)/debian/sun-j2re1.4debian \
		J2SE_PACKAGE=sun-j2re1.4 J2SE_BASE=/usr/share/j2re1.4-sun
	$(MAKE) install-peer DESTDIR=$(CURDIR)/debian/sun-j2sdk1.4debian \
		J2SE_PACKAGE=sun-j2sdk1.4 J2SE_BASE=/usr/share/j2sdk1.4-sun
	$(MAKE) install-peer DESTDIR=$(CURDIR)/debian/sun-j2re1.5debian \
		J2SE_PACKAGE=sun-j2re1.5 J2SE_BASE=/usr/share/j2re1.5-sun
	$(MAKE) install-peer DESTDIR=$(CURDIR)/debian/sun-j2sdk1.5debian \
		J2SE_PACKAGE=sun-j2sdk1.5 J2SE_BASE=/usr/share/j2sdk1.5-sun
	$(MAKE) install-peer DESTDIR=$(CURDIR)/debian/blackdown-j2re1.3debian \
		J2SE_PACKAGE=blackdown-j2re1.3 J2SE_BASE=/usr/share/j2re1.3-blackdown
	$(MAKE) install-peer DESTDIR=$(CURDIR)/debian/blackdown-j2sdk1.3debian \
		J2SE_PACKAGE=blackdown-j2sdk1.3 J2SE_BASE=/usr/share/j2sdk1.3-blackdown
	$(MAKE) install-peer DESTDIR=$(CURDIR)/debian/blackdown-j2re1.4debian \
		J2SE_PACKAGE=blackdown-j2re1.4 J2SE_BASE=/usr/share/j2re1.4-blackdown
	$(MAKE) install-peer DESTDIR=$(CURDIR)/debian/blackdown-j2sdk1.4debian \
		J2SE_PACKAGE=blackdown-j2sdk1.4 J2SE_BASE=/usr/share/j2sdk1.4-blackdown

	dh_install -i

# Must not depend on anything. This is to be called by
# binary-arch/binary-indep
# in another 'make' thread.
binary-common:
	dh_testdir
	dh_testroot
	dh_installchangelogs 
	dh_installdocs
	dh_installexamples
#	dh_installmenu
#	dh_installdebconf	
#	dh_installlogrotate	
#	dh_installemacsen
#	dh_installpam
#	dh_installmime
#	dh_installinit
#	dh_installcron
#	dh_installinfo
	dh_installman
	dh_link
	dh_strip
	dh_compress 
	dh_fixperms
#	dh_perl
#	dh_python
	dh_makeshlibs
	dh_installdeb
	dh_shlibdeps
	dh_gencontrol
	dh_md5sums
	dh_builddeb
# Build architecture independant packages using the common target.
binary-indep: build-indep install-indep
	$(MAKE) -f debian/rules DH_OPTIONS=-i binary-common

binary: binary-indep
.PHONY: build clean binary-indep binary install install-indep configure

## java-package 0.23

=== debian/changelog ===
java-package (0.23) unstable; urgency=low

  * Further expanded 1.3.1 Blackdown JRE/JDK support for i386
  * Added architecture-specific pathing for plugin alternatives for 
    Sun 1.4 and 1.5 JREs and JDKs (Closes: #301806)
  * Added recommends for system elements required by applets and 
    graphical user interface elements (Closes: #300817)
  * Jeroen van Wolffelaar:
    + Fixed packages description to not have too long lines, and make the 3
      items an enumeration

 -- Barry Hawkins <barry@bytemason.org>  Fri, 01 Apr 2005 00:36:40 -0500

java-package (0.22.1) experimental; urgency=low

  * Corrected IBM and Blackdown JRE/JDK file size specifications
  * Added support for additional 1.3.1 Blackdown JREs and JDKs for i386,
    powerpc (Closes: #301092)
  * Added installation of javaws alternative for Sun 1.5 JREs and JDKs 
    (Closes: #300303)

 -- Barry Hawkins <barry@bytemason.org>  Thu, 24 Mar 2005 13:20:18 -0500

java-package (0.22) unstable; urgency=low

  * Corrected IBM JRE/JDK scripts to accurately reflect the supported 
    IBM JDKs and JREs in the generated SUPPORTED file

 -- Barry Hawkins <barry@alltc.com>  Fri, 18 Mar 2005 10:21:53 -0500

java-package (0.21) unstable; urgency=low

  * Enable support for IBM JDKs and JREs for x86, amd64, powerpc, 
    powerpc64, and s390 architectures, based upon a patch by Rico 
    Schiekel (Closes: #264137)
  * Enable suppport for Blackdown 1.3.1 JDK and JRE for PowerPC 
    architecture. (Closes: #296205)
  * Update documentation and to reflect current supported JDKs and JREs

 -- Barry Hawkins <barry@alltc.com>  Mon, 14 Mar 2005 03:18:39 -0500

java-package (0.20) unstable; urgency=low

  * Make the postinst & rm for generated packages #!/bin/bash, as we use
    bash-specific features (Closes: #292179)
  * Drop the df output parsing, use '/usr/bin/stat' instead (Closes: #293487,
    #289006, #293350)
  * Drop the now obsolete peer stuff from the source package
  * Change priorities, 313 for 1.3, 314 for 1.4, etc (Closes: #292451)
  * Don't dh_strip, fiddling with upstream's binaries apparantly breaks stuff
    (Closes: #291238)

 -- Jeroen van Wolffelaar <jeroen@wolffelaar.nl>  Tue, 08 Feb 2005 15:04:51 +0100

java-package (0.19) unstable; urgency=low

  The "Joshua Kwan <joshk@debian.org> rocks!" release.

  Joshua Kwan:
  * Unclutter Debian build system and rework package slightly so that
    *debian packages are not needed anymore. The necessary files will be
    included in the generated packages. (Closes: #291145, #289245, #284779)
  * Add support for Blackdown 1.4.2+01 build. (Closes: #285405)
  * Fix support for Sun 1.5.0 amd64 builds due to typo. (Closes: #290879)
  * Mozilla browser plugin name changed in 1.4.2 versions. Detect and correct.
    (Closes: #273730)
  * Use --block-size=1M instead of -BM. (Closes: #289005, #291161)
  * Disable support for Sun JDK 1.3 due to its dependencies on libraries
    that are simply not available anymore. (Closes: #272972)
  * Fix up short description a little bit.
  * Bump Standards-Version to 3.6.1 (no changes)
  * Be a bit more conservative with the real-root test.
  * Remove last j2se-package references.
  * Change Suggests on fakeroot to a Depends because it is worthless both
    as real root and as a normal user without fakeroot.

  Jeroen van Wolffelaar:
  * Use DEBFULLNAME, DEBNAME and DEBEMAIL if available, and don't ask for
    those values in that case. (Closes: #279653)
  * Updated documentation regarding dropped Sun 1.3 support
  * Work around multiline df output caused by long device names
    (Closes: #289006)
  * Add Replaces: for the generated packages on their *debian counterparts

 -- Jeroen van Wolffelaar <jeroen@wolffelaar.nl>  Tue, 25 Jan 2005 00:05:06 +0100

java-package (0.18) unstable; urgency=low

  * Added myself to Uploaders
  * Fix security hole (inscure temp file creation) plus lots of needless I/O
    in free disk checking function
  * Added support for Sun's JDK/JRE 1.5 patch levels, based on a patch by
    Peter Marschall <peter@adpm.de> (Closes: #286718, #287857)
  * Bail out if running as real root (works around the evil parts of Sun's
    install script that unconditionally writes to /etc, see #266273, #280707)
  * Fix typo in j2re.sh that apparantly with some versions of
    bash/dpkg/whatever cause package build failure (Closes: #281780, #282902)
  * Reduce minimum expected size a bit Sun's 1.5.0 amd64 package, it was set
    too high (Closes: #284033)
  * Substitute package version number at build time in the make-jpkg
    executable (Closes: #282221)
  * Added a README.Debian explaining the existance of make-jpkg and what
    binary packages are supported and where to get them. Thanks Thijs
    Kinkhorst for the draft (Closes: #283362)
  * Added automatically-generated file SUPPORTED that lists all binary
    filenames that are supported, thanks Alex Owen <owen@cus.org.uk> for the
    idea (Closes: #275296)

 -- Jeroen van Wolffelaar <jeroen@wolffelaar.nl>  Mon,  3 Jan 2005 18:47:47 +0100

java-package (0.17) unstable; urgency=low

  * added a patch for detecting the architecture (Closes: #274844,
    #270949, #271846). This patch should also close this one (Closes:
    #280685).

 -- Arnaud Vandyck <avdyk@debian.org>  Fri, 12 Nov 2004 17:28:38 +0100

java-package (0.16) unstable; urgency=low

  * added myself as an uploader.
  * Carlos already closed the support for 1.5 request but it seems he did
    not upload the package (Closes: #277088).

 -- Arnaud Vandyck <avdyk@debian.org>  Wed, 10 Nov 2004 16:38:44 +0100

java-package (0.15) unstable; urgency=low

  * lib/sun-j2re.sh: Added support for JRE 1.5.0 (aka "Java 5.0").
  * lib/sun-j2sdk.sh: Added support for Java SDK 1.5.0.

 -- Carlos Laviola <claviola@debian.org>  Mon, 11 Oct 2004 21:08:59 -0300

=== debian/control ===
Source: java-package
Section: contrib/misc
Priority: optional
Maintainer: Debian Java Maintainers <pkg-java-maintainers@lists.alioth.debian.org>
Uploaders: Takashi Okamoto <tora@debian.org>, Carlos Laviola <claviola@debian.org>, Arnaud Vandyck <avdyk@debian.org>, Jeroen van Wolffelaar <jeroen@wolffelaar.nl>, Barry Hawkins <barry@bytemason.org>
Build-Depends: debhelper (>= 4.0.0)
Standards-Version: 3.6.1

Package: java-package
Architecture: all
Depends: debhelper, fakeroot, coreutils | stat
Description: utility for building Java(TM) 2 related Debian packages
 This package provides the capability to create a debian package from
 a Java(TM) 2 distribution by just running make-jpkg <filename>.
 .
 This program currently works with the following Java(TM) 2 Runtime
 Environments and Development Kits:
 .
  * Sun Microsystems(TM) 1.4 and 1.5 Standard Edition
  * IBM(TM) 1.3 and 1.4 Standard Edition
  * Blackdown Java-Linux 1.3 and 1.4 Standard Edition

=== debian/rules ===
#!/usr/bin/make -f
# debian/rules for java-package

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

# Extract source package version number from changelog
VERSION := $(shell head -n 1 $(CURDIR)/debian/changelog | sed 's/.*(//;s/).*//')
B := $(CURDIR)/debian/java-package

build: build-stamp 

build-stamp:
	dh_testdir
	# Add here commands to compile the indep part of the package.
	sed s/@VERSION@/$(VERSION)/ make-jpkg > make-jpkg.out
	touch $@

clean:
	dh_testdir
	dh_testroot
	rm -f build-stamp SUPPORTED make-jpkg.out
	dh_clean 

install: build
	dh_testdir
	dh_testroot
	dh_clean -k
	dh_installdirs

	install -m 755 make-jpkg.out $(B)/usr/bin/make-jpkg
	cp lib/*.sh $(B)/usr/share/java-package/
	for dir in $(wildcard blackdown-j2*) $(wildcard sun-j2*) $(wildcard ibm-j2*); do \
		cp -a $$dir $(B)/usr/share/java-package/; \
	done
	find $(B) -type d -name CVS | xargs -r rm -r

# Generate SUPPORTED
	echo "java-package currently supports the following binary packages:" > SUPPORTED
	echo >> SUPPORTED
	echo "(This list is automatically generated, do not edit)" >> SUPPORTED
	echo >> SUPPORTED
	grep -h "SUPPORTED$$" $(wildcard $(CURDIR)/lib/*-*.sh) | sed 's/"//g;s/).*//' >> SUPPORTED

	dh_install

binary: binary-indep

binary-indep: build install
	dh_testdir
	dh_testroot
	dh_installchangelogs 
	dh_installdocs
	dh_installman make-jpkg.1
	dh_link
#	dh_strip
	dh_compress 
	dh_fixperms
	dh_makeshlibs
	dh_installdeb
	dh_shlibdeps
	dh_gencontrol
	dh_md5sums
	dh_builddeb

.PHONY: build clean binary-indep binary install

## java-package 0.24~hoary1

=== debian/changelog ===
java-package (0.24~hoary1) hoary-backports; urgency=low

  * Automated backport upload; no source changes.

 -- Ubuntu Archive Auto-Backport <archive@ubuntu.com>  Tue, 26 Jul 2005 14:17:16 +0100

java-package (0.24) unstable; urgency=low

  * Added plugin alternatives support for i386 IBM JREs and JDKs
  * Corrected pathing for plugin alternatives to reflect difference in 
    layout between JREs and JDKs for Sun and Blackdown (Closes: #305219,
    #301806)

 -- Barry Hawkins <barry@bytemason.org>  Wed, 21 Apr 2005 01:02:03 -0400

java-package (0.23.1) experimental; urgency=low

  * Added architecture-specific pathing for plugin alternatives for 
    Blackdown 1.3 and 1.4 JREs and JDKs

 -- Barry Hawkins <barry@bytemason.org>  Wed, 06 Apr 2005 00:03:40 -0500

## java-package 0.26

=== debian/changelog ===
java-package (0.26) unstable; urgency=low

  * Update standards version to 3.6.2
  * Resolve issues with powerpc-linux support detection (Closes: #317671)
  * Added support for Blackdown 1.4.2+02 release (Closes: #316831)
  * Added support for packaging Sun JDK documentation (Closes: #272971)
  * Modified make-jpkg behavior to default the generated packages' 
    name and email address for the maintainer to Debian Java Maintainers
    (Closes: #325554)

 -- Barry Hawkins <barry@bytemason.org>  Thu, 18 Aug 2005 00:43:17 -0400

java-package (0.25) unstable; urgency=low

  * Cope with dpkg's new way of expressing architectures (Closes: #313555)
  * Re-exec with fakeroot if needed (Closes: #310132)

 -- Jeroen van Wolffelaar <jeroen@wolffelaar.nl>  Sun, 10 Jul 2005 18:50:40 +0200

=== debian/control ===
--- 
+++ 
@@ -4,11 +4,11 @@
 Maintainer: Debian Java Maintainers <pkg-java-maintainers@lists.alioth.debian.org>
 Uploaders: Takashi Okamoto <tora@debian.org>, Carlos Laviola <claviola@debian.org>, Arnaud Vandyck <avdyk@debian.org>, Jeroen van Wolffelaar <jeroen@wolffelaar.nl>, Barry Hawkins <barry@bytemason.org>
 Build-Depends: debhelper (>= 4.0.0)
-Standards-Version: 3.6.1
+Standards-Version: 3.6.2.1
 
 Package: java-package
 Architecture: all
-Depends: debhelper, fakeroot, coreutils | stat
+Depends: debhelper, fakeroot, coreutils | stat, unzip
 Description: utility for building Java(TM) 2 related Debian packages
  This package provides the capability to create a debian package from
  a Java(TM) 2 distribution by just running make-jpkg <filename>.

## java-package 0.27

=== debian/changelog ===
java-package (0.27) unstable; urgency=low

  * Added support for IBM Java2 5.0 JREs and JDKs (Closes: #337129)
  * Corrected missing alternatives links for all JREs and JDKs
    (Closes: #317492)
  * Added conditional wrapping around dh_compress to account for
    JRE/JDKs that do not ship manpages (Closes: 301738)
  * Removed java-common from Provides: for JRE and JDK packages.

 -- Barry Hawkins <barry@bytemason.org>  Tue, 08 Nov 2005 12:16:24 -0500

=== debian/control ===
--- 
+++ 
@@ -17,5 +17,5 @@
  Environments and Development Kits:
  .
   * Sun Microsystems(TM) 1.4 and 1.5 Standard Edition
-  * IBM(TM) 1.3 and 1.4 Standard Edition
+  * IBM(TM) 1.3, 1.4, and 5.0 Standard Edition
   * Blackdown Java-Linux 1.3 and 1.4 Standard Edition

## java-package 0.28~dapper1

=== debian/changelog ===
java-package (0.28~dapper1) dapper-backports; urgency=low

  * Automated backport upload; no source changes.

 -- John Dong <john.dong@gmail.com>  Fri,  9 Mar 2007 15:11:22 +0000

java-package (0.28) unstable; urgency=low

  * Modified to reflect migration to Subversion
  * Bumped standards to version 3.7.2, no changes
  * Corrected test for AMD64 architecture during plug-in detection
  * Corrected detected version for IBM Java 5 JDK on AMD64 (Closes: #345775)
  * Repaired alternatives handling for IBM Java 5 JREs and JDKs
    (Closes: #338569)
  * Corrected pathing for alternatives installation for Mozilla and
    Firefox plugins (Closes: #341751)
  * Relaxed architectural restrictions on plugin alternative 
    installation for IBM Java 5 JREs and JDKs (Closes: #343837)
  * Added plugin installation for the new packaging of Firefox 1.5 and
    later (Closes: #341749)
  * Modified warning suppression for dh_shlibdeps to accommodate 
    changes in dpkg-dev (Closes: #354427)
  * Added quotes to variable tests for maintainer name and email 
    (Closes: #342623)
  * Refactored architecture evaluation to eliminate repetition and
    evaluate DEB_BUILD_GNU_TYPE correctly for i486-linux-gnu
  * Removed dependency on 'coreutils | stat' from control file, as
    the dependency is satisfied within essential (Closes: #370002)

 -- Barry Hawkins <barry@alltc.com>  Mon, 26 Jun 2006 11:19:08 -0400

=== debian/control ===
Source: java-package
Section: contrib/misc
Priority: optional
Maintainer: Debian Java Maintainers <pkg-java-maintainers@lists.alioth.debian.org>
Uploaders: Carlos Laviola <claviola@debian.org>, Arnaud Vandyck <avdyk@debian.org>, Jeroen van Wolffelaar <jeroen@wolffelaar.nl>, Barry Hawkins <barry@alltc.com>
Build-Depends: debhelper (>= 4.0.0)
Standards-Version: 3.7.2

Package: java-package
Architecture: all
Depends: debhelper, fakeroot, unzip
Description: utility for building Java(TM) 2 related Debian packages
 This package provides the capability to create a debian package from
 a Java(TM) 2 distribution by just running make-jpkg <filename>.
 .
 This program currently works with the following Java(TM) 2 Runtime
 Environments and Development Kits:
 .
  * Sun Microsystems(TM) 1.4 and 1.5 Standard Edition
  * IBM(TM) 1.3, 1.4, and 5.0 Standard Edition
  * Blackdown Java-Linux 1.3 and 1.4 Standard Edition

=== debian/rules ===
--- 
+++ 
@@ -20,7 +20,7 @@
 	dh_testdir
 	dh_testroot
 	rm -f build-stamp SUPPORTED make-jpkg.out
-	dh_clean 
+	dh_clean
 
 install: build
 	dh_testdir
@@ -29,11 +29,11 @@
 	dh_installdirs
 
 	install -m 755 make-jpkg.out $(B)/usr/bin/make-jpkg
-	cp lib/*.sh $(B)/usr/share/java-package/
+	cp lib/*.sh lib/*-common $(B)/usr/share/java-package/
 	for dir in $(wildcard blackdown-j2*) $(wildcard sun-j2*) $(wildcard ibm-j2*); do \
 		cp -a $$dir $(B)/usr/share/java-package/; \
 	done
-	find $(B) -type d -name CVS | xargs -r rm -r
+	find $(B) -type d -name .svn | xargs -r rm -r
 
 # Generate SUPPORTED
 	echo "java-package currently supports the following binary packages:" > SUPPORTED
@@ -45,6 +45,8 @@
 	dh_install
 
 binary: binary-indep
+
+binary-arch:
 
 binary-indep: build install
 	dh_testdir

## java-package 0.28~edgy1

=== debian/changelog ===
java-package (0.28~edgy1) edgy-backports; urgency=low

  * Automated backport upload; no source changes.

 -- John Dong <john.dong@gmail.com>  Thu,  8 Mar 2007 16:35:45 +0000

## java-package 0.35

=== debian/changelog ===
java-package (0.35) unstable; urgency=low

  * Use 'date -R' instead of the deprecated '822-date'. Closes: #441229.
  * Fix generation of .changes file. Closes: #332643.
    Thanks to Christoph Goehre for the patch.
  * Add possibility to add a configured revision to the version.
    Closes: #442246. Thanks to Christoph Goehre again for the patch.

 -- Michael Koch <konqueror@gmx.de>  Fri, 14 Sep 2007 17:28:13 +0200

java-package (0.34) unstable; urgency=low

  * Fixed SUN JDK on amd64. Closes: #439221.

 -- Michael Koch <konqueror@gmx.de>  Fri, 24 Aug 2007 00:41:54 +0200

java-package (0.33) unstable; urgency=low

  * Fixed postinst scripts for SUN JDK 1.4, 5 and 6. Closes: #435632.

 -- Michael Koch <konqueror@gmx.de>  Thu, 02 Aug 2007 18:43:40 +0200

java-package (0.32) unstable; urgency=low

  * Added support for iceweasel. Closes: #433445.
  * Fix dangling links for SUN Java 5. Closes: #305053.
  * Depend on libx11-6 and libasound2. Closes: #289004.
  * Fix building on ia64. Closes: #355465.

 -- Michael Koch <konqueror@gmx.de>  Thu, 19 Jul 2007 22:51:31 +0200

java-package (0.31) unstable; urgency=low

  * Reapplied changes from 0.28 to 0.29. Closes: 322843.

 -- Michael Koch <konqueror@gmx.de>  Tue, 10 Jul 2007 08:16:14 +0200

java-package (0.30) unstable; urgency=low

  * Added support for SUN JDK 6u2 (and following updates).
  * Added support for ibm-java2-jre-5.0-5.0-linux-ppc.tgz.
    Thanks to B. Zhang.

 -- Michael Koch <konqueror@gmx.de>  Sun, 08 Jul 2007 09:33:29 +0200

java-package (0.29) unstable; urgency=low

  * Added support for SUN Java 6 and IBM Java 6.
    Closes: #322843, #402642, #418592, #425508, #430026.
  * Added myself to Uploaders.

 -- Michael Koch <konqueror@gmx.de>  Tue, 26 Jun 2007 17:40:04 -0100

=== debian/control ===
--- 
+++ 
@@ -2,13 +2,13 @@
 Section: contrib/misc
 Priority: optional
 Maintainer: Debian Java Maintainers <pkg-java-maintainers@lists.alioth.debian.org>
-Uploaders: Carlos Laviola <claviola@debian.org>, Arnaud Vandyck <avdyk@debian.org>, Jeroen van Wolffelaar <jeroen@wolffelaar.nl>, Barry Hawkins <barry@alltc.com>
+Uploaders: Carlos Laviola <claviola@debian.org>, Arnaud Vandyck <avdyk@debian.org>, Jeroen van Wolffelaar <jeroen@wolffelaar.nl>, Barry Hawkins <barry@alltc.com>, Michael Koch <konqueror@gmx.de>
 Build-Depends: debhelper (>= 4.0.0)
 Standards-Version: 3.7.2
 
 Package: java-package
 Architecture: all
-Depends: debhelper, fakeroot, unzip
+Depends: debhelper, fakeroot, unzip, libx11-6, libasound2
 Description: utility for building Java(TM) 2 related Debian packages
  This package provides the capability to create a debian package from
  a Java(TM) 2 distribution by just running make-jpkg <filename>.

## java-package 0.39

=== debian/changelog ===
java-package (0.39) unstable; urgency=low

  * Added support for IBM JDK 6.0 final release.
  * Updated Standard-Version to 3.7.3.
  * Updated debhelper level to 5.

 -- Michael Koch <konqueror@gmx.de>  Tue, 18 Dec 2007 07:38:34 +0100

java-package (0.38) unstable; urgency=low

  * Mention SUN JDK 6 in REAME.Debian. Closes: #448258.
  * Fixed typo when creating version number for SUN JDK 6. Closes: #451935.
  * Fix handling of symlinks for ControlPanel, HtmlConverter and java-rmi.cgi
    from SUN JDK 6. Closes: #448351.

 -- Michael Koch <konqueror@gmx.de>  Fri, 30 Nov 2007 00:03:50 +0100

java-package (0.37) unstable; urgency=low

  * Added libstdc++5 to Recommends of generated package. Closes: #446334.

 -- Michael Koch <konqueror@gmx.de>  Thu, 25 Oct 2007 22:45:42 +0200

java-package (0.36) unstable; urgency=low

  * Fixed package description to include more supported JDKs.
    Closes: #447615, #447617.

 -- Michael Koch <konqueror@gmx.de>  Wed, 24 Oct 2007 09:56:52 +0200

=== debian/control ===
--- 
+++ 
@@ -3,8 +3,8 @@
 Priority: optional
 Maintainer: Debian Java Maintainers <pkg-java-maintainers@lists.alioth.debian.org>
 Uploaders: Carlos Laviola <claviola@debian.org>, Arnaud Vandyck <avdyk@debian.org>, Jeroen van Wolffelaar <jeroen@wolffelaar.nl>, Barry Hawkins <barry@alltc.com>, Michael Koch <konqueror@gmx.de>
-Build-Depends: debhelper (>= 4.0.0)
-Standards-Version: 3.7.2
+Build-Depends: debhelper (>= 5)
+Standards-Version: 3.7.3
 
 Package: java-package
 Architecture: all
@@ -16,6 +16,6 @@
  This program currently works with the following Java(TM) 2 Runtime
  Environments and Development Kits:
  .
-  * Sun Microsystems(TM) 1.4 and 1.5 Standard Edition
-  * IBM(TM) 1.3, 1.4, and 5.0 Standard Edition
+  * Sun Microsystems(TM) 1.4, 5 and 6 Standard Edition
+  * IBM(TM) 1.3, 1.4, 5 and 6 Standard Edition
   * Blackdown Java-Linux 1.3 and 1.4 Standard Edition

=== debian/rules ===
--- 
+++ 
@@ -19,7 +19,7 @@
 clean:
 	dh_testdir
 	dh_testroot
-	rm -f build-stamp SUPPORTED make-jpkg.out
+	rm -f build-stamp SUPPORTED make-jpkg.out debian/semantic.cache
 	dh_clean
 
 install: build

## java-package 0.41

=== debian/changelog ===
java-package (0.41) unstable; urgency=low

  * Added support for new SUN JDK/JRE for amd64 downloads. Thanks to
    Artyom Gavrichenkov for the initial patch.

 -- Michael Koch <konqueror@gmx.de>  Fri, 21 Mar 2008 17:20:35 +0100

java-package (0.40) unstable; urgency=low

  * Add support for ibm-java2-sdk-5.0-6.0-linux-$arch.tgz. Closes: #462399
    Thanks to Evgeni Dobrev for the patch.
  * Fixed spelling error in long description: debian -> Debian.

 -- Michael Koch <konqueror@gmx.de>  Thu, 24 Jan 2008 22:48:46 +0100

=== debian/control ===
--- 
+++ 
@@ -10,7 +10,7 @@
 Architecture: all
 Depends: debhelper, fakeroot, unzip, libx11-6, libasound2
 Description: utility for building Java(TM) 2 related Debian packages
- This package provides the capability to create a debian package from
+ This package provides the capability to create a Debian package from
  a Java(TM) 2 distribution by just running make-jpkg <filename>.
  .
  This program currently works with the following Java(TM) 2 Runtime

## java-package 0.42

=== Makefile ===
DESTDIR=

.PHONY: default
default: build

.PHONY: build
build:
	echo "java-package currently supports the following binary packages:" \
		> SUPPORTED
	echo >> SUPPORTED
	echo "(This list is automatically generated, do not edit)" >> SUPPORTED
	echo >> SUPPORTED
	grep -h "SUPPORTED$$" $(wildcard lib/*-*.sh) | sed 's/"//g;s/).*//' \
		>> SUPPORTED

.PHONY: clean
clean:
	rm -f SUPPORTED

.PHONY: install
install:
	install -d -m 755 $(DESTDIR)/usr/bin
	install -m 755 make-jpkg.out $(DESTDIR)/usr/bin/make-jpkg
	install -d -m 755 $(DESTDIR)/usr/share/man/man1
	install -m 644 make-jpkg.1 $(DESTDIR)/usr/share/man/man1/
	install -d -m 755 $(DESTDIR)/usr/share/java-package
	for file in lib/*.sh; do \
	    install -m 644 $$file $(DESTDIR)/usr/share/java-package/ ; \
	done

=== debian/changelog ===
java-package (0.42) unstable; urgency=low

  * Provide java*-runtime-headless and java*-sdk names for generated
    packages.
  * Recommend dpkg-dev and gcc. Closes: #281766, #405814.

 -- Matthias Klose <doko@debian.org>  Sat, 02 Aug 2008 12:10:52 +0200

=== debian/control ===
--- 
+++ 
@@ -9,6 +9,7 @@
 Package: java-package
 Architecture: all
 Depends: debhelper, fakeroot, unzip, libx11-6, libasound2
+Recommends: dpkg-dev, gcc
 Description: utility for building Java(TM) 2 related Debian packages
  This package provides the capability to create a Debian package from
  a Java(TM) 2 distribution by just running make-jpkg <filename>.

## java-package 0.42ubuntu1

=== debian/changelog ===
java-package (0.42ubuntu1) jaunty; urgency=low

  * Support Sun Java 6 updates >= 10. Based on a patch from "robz", thanks.
    (LP: #284675)

 -- James Westby <james.westby@canonical.com>  Tue, 18 Nov 2008 19:10:41 +0000

## java-package 0.50

=== debian/changelog ===
java-package (0.50) unstable; urgency=low

  * Java-package reset for reintroduction in debian (removal of all
    previously supported jvm, global refactoring).
  * Add support for Oracle Java 6 (update >= 10)
  * Add support for Oracle Java 7
  * Add support for .jinfo file (update-java-alternatives tool)
  * Use jdk included jre binaries (jdk/jre/bin/*)
  * Print usage information on install

  [ Sylvestre Ledru ]
  * Long description removed
  * debian-rules-missing-recommended-target removed
  * maintainer-script-lacks-debhelper-token removed
  * Declare the debian/compat to 7 to avoid warnings
  
  [ Michael Kock ]
  * Remove Java plugins for all browsers (Closes: #367887).
  * Add support for Sun Java 6 Update XX (Closes: #514364).

 -- Cédric Pineau <cedric.pineau@gmail.com>  Thu, 22 Dec 2011 11:42:13 +0100

=== debian/control ===
Source: java-package
Section: contrib/misc
Priority: optional
Maintainer: Debian Java Maintainers <pkg-java-maintainers@lists.alioth.debian.org>
Uploaders: Cédric Pineau <cedric.pineau@gmail.com>
Vcs-Git: git://git.debian.org/git/pkg-java/java-package.git
Vcs-Browser: http://git.debian.org/?p=pkg-java/java-package.git
Build-Depends: debhelper (>= 5)
Standards-Version: 3.9.2

Package: java-package
Architecture: all
Depends:  ${misc:Depends}, debhelper, fakeroot, unzip, libx11-6, libasound2,
 debconf (>= 0.5) | debconf-2.0
Recommends: dpkg-dev, gcc
Suggests: openjdk-6-jre, openjdk-7-jre
Description: Utility for creating Java Debian packages
 This package provides the capability to build a Debian package from
 a Java binary distribution by running make-jpkg <java binary archive file>.
 (with archive files downloaded from providers listed below)
 .
 Supported java binary distributions currently include:
   * Oracle (http://www.oracle.com/technetwork/java/javase/downloads) :
     - The J2SE Development Kit (JDK), version 6 (update >= 10), 7
     - The J2SE Runtime Environment (JRE), version 6 (update >= 10), 7
     - The J2SE API Javadoc, version 6 (update >= 10), 7
 (Choose tar.gz archives or self-extracting archives, do _not_ choose the RPM!)
 .
 Please note that Debian recommends the use of openjdk-6-jdk/openjdk-6-jre
 or openjdk-7-jdk/openjdk-7-jre. java-package will install non-free packages.

## java-package 0.50ubuntu1

=== debian/changelog ===
java-package (0.50ubuntu1) quantal; urgency=low

  * Add support for Oracle Java 7 JDK for ARM. 

 -- James Page <james.page@ubuntu.com>  Wed, 12 Sep 2012 09:39:00 +0100

=== debian/control ===
--- 
+++ 
@@ -1,7 +1,8 @@
 Source: java-package
 Section: contrib/misc
 Priority: optional
-Maintainer: Debian Java Maintainers <pkg-java-maintainers@lists.alioth.debian.org>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Debian Java Maintainers <pkg-java-maintainers@lists.alioth.debian.org>
 Uploaders: Cédric Pineau <cedric.pineau@gmail.com>
 Vcs-Git: git://git.debian.org/git/pkg-java/java-package.git
 Vcs-Browser: http://git.debian.org/?p=pkg-java/java-package.git

=== debian/rules ===
--- 
+++ 
@@ -8,11 +8,12 @@
 VERSION := $(shell head -n 1 $(CURDIR)/debian/changelog | sed 's/.*(//;s/).*//')
 B := $(CURDIR)/debian/java-package
 
-build: build-stamp 
+build: build-arch build-indep
+build-arch: build-stamp
+build-indep: build-stamp
 
 build-stamp:
 	dh_testdir
-	# Add here commands to compile the indep part of the package.
 	sed s/@VERSION@/$(VERSION)/ make-jpkg > make-jpkg.out
 	touch $@
 
@@ -27,12 +28,9 @@
 	dh_testroot
 	dh_clean -k
 	dh_installdirs
-
+	dh_installdebconf
 	install -m 755 make-jpkg.out $(B)/usr/bin/make-jpkg
-	cp lib/*.sh lib/*-common $(B)/usr/share/java-package/
-	for dir in $(wildcard blackdown-j2*) $(wildcard sun-j2*) $(wildcard ibm-j2*); do \
-		cp -a $$dir $(B)/usr/share/java-package/; \
-	done
+	cp lib/*.sh $(B)/usr/share/java-package/
 	find $(B) -type d -name .svn | xargs -r rm -r
 
 # Generate SUPPORTED

## java-package 0.50ubuntu1.1

=== debian/changelog ===
java-package (0.50ubuntu1.1) quantal-proposed; urgency=low

  * Fixes bug with multiple digits in Java 7 updates (LP: #1096546).

 -- Nobuto MURATA <nobuto@ubuntu.com>  Fri, 08 Mar 2013 10:30:24 +0900

## java-package 0.50ubuntu1.1%7eubuntu12.04.1

=== debian/changelog ===
java-package (0.50ubuntu1.1~ubuntu12.04.1) precise-backports; urgency=low

  * No-change backport to precise (LP: #1186667)

 -- Felix Geyer <debfx@ubuntu.com>  Sun, 02 Jun 2013 10:17:49 +0200

## java-package 0.50+nmu1ubuntu1

=== debian/changelog ===
java-package (0.50+nmu1ubuntu1) raring; urgency=low

  * Merge from Debian unstable (LP: #1072651).  Remaining changes:
    - Add support for Oracle Java 7 JDK for ARM.

 -- Vibhav Pant <vibhavp@gmail.com>  Mon, 05 Nov 2012 22:23:02 +0100

java-package (0.50+nmu1) unstable; urgency=low

  * Non-maintainer upload.
  * Drop installation debconf note. Closes: #685082

 -- David Prévot <taffit@debian.org>  Thu, 06 Sep 2012 18:38:03 -0400

=== debian/control ===
--- 
+++ 
@@ -11,8 +11,7 @@
 
 Package: java-package
 Architecture: all
-Depends:  ${misc:Depends}, debhelper, fakeroot, unzip, libx11-6, libasound2,
- debconf (>= 0.5) | debconf-2.0
+Depends: ${misc:Depends}, debhelper, fakeroot, unzip, libx11-6, libasound2
 Recommends: dpkg-dev, gcc
 Suggests: openjdk-6-jre, openjdk-7-jre
 Description: Utility for creating Java Debian packages

## java-package 0.50+nmu2

=== debian/changelog ===
java-package (0.50+nmu2) unstable; urgency=high

  * Non-maintainer upload.
  * Allow two digits in Java 7 updates. Closes: #597294, #698108

 -- David Prévot <taffit@debian.org>  Tue, 15 Jan 2013 15:06:26 -0400

=== debian/control ===
--- 
+++ 
@@ -1,8 +1,7 @@
 Source: java-package
 Section: contrib/misc
 Priority: optional
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Debian Java Maintainers <pkg-java-maintainers@lists.alioth.debian.org>
+Maintainer: Debian Java Maintainers <pkg-java-maintainers@lists.alioth.debian.org>
 Uploaders: Cédric Pineau <cedric.pineau@gmail.com>
 Vcs-Git: git://git.debian.org/git/pkg-java/java-package.git
 Vcs-Browser: http://git.debian.org/?p=pkg-java/java-package.git

## java-package 0.50+nmu2ubuntu1

=== debian/changelog ===
java-package (0.50+nmu2ubuntu1) raring; urgency=low

  * Merge from Debian unstable. Remaining changes:
    - Add support for Oracle Java 7 JDK for ARM.
  * Fixes bug with multiple digits in Java 7 updates (LP: #1096546).

 -- Logan Rosen <logatronico@gmail.com>  Sat, 16 Feb 2013 18:22:39 -0500
